I am trying to install a driver for another NIC, and I'm getting an error due to a conflict with a Mellanox file

The error I keep getting is: "Unpacking rdmacm-utils (17.1-1ubuntu0.1) …

dpkg: error processing archive /var/cache/apt/archives/rdmacm-utils_17.1-1ubuntu0.1_amd64.deb (–unpack):

trying to overwrite ‘/usr/bin/cmtime’, which is also in package librdmacm-utils 41mlnx1-OFED.4.6.0.0.1.46101"

Can anyone tell me how to get around this?

Thank you.

Hi Clive,

The “trying to overwrite” error implies that you have conflicting packages in your system.

IE:

rdmacm-utils_17.1-1ubuntu0.1_amd64.deb & librdmacm-utils 41mlnx1-OFED.4.6.0.0.1.46101.

These two packages are conflicting with each other.

The immediate fix for the issue is to remove the conflicting package that is undesirable, in this case this is our librdmacm-utils packages.

Sophie.